﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GameExample.Model
{
    public class Player
    {
        public event Action<int, int> Shoot;
        public int[] Position { get; set; } = new[] { 0, 0 };
        public string Nick { get; set; }
        public string FirstName { get; set; }
        public string LastName { get; set; }

        public Player(string nick, string firstName, string lastName)
        {
            Nick = nick;
            FirstName = firstName;
            LastName = lastName;
        }

        
        public void  Shot(int x, int y)
        {
            Position[0] = x;
            Position[1] = y;
            Shoot?.Invoke(x,y);
            
        }

            
        public override string ToString()
        {
            return $"{Nick} ";
        }
    }
}
