﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace GameExample
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            IView view = new Form1();
            Model.GameEngine game = new Model.GameEngine(400,400);
            Presenter presenter = new Presenter(view, game);

            Application.Run((Form1)view);
        }
    }
}
