﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using GameExample.Model;

namespace GameExample
{
    public partial class Form1 : Form,IView
    {
        Image imgFly;
       
        int[] currentFlyPosition;
        Graphics canvas;
        public Form1()
        {
            InitializeComponent();
            imgFly = new Bitmap("fly.bmp");
            canvas = panel1.CreateGraphics();
           
        }

        

        public int Score
        {
            set
            {
                label1.Invoke(new Action(() => { label1.Text = $"Score: {value}"; }));
            }
        }

        public event Action Start;
        public event Action<int, int> Shoting;

        private void button1_Click(object sender, EventArgs e)
        {
            Start?.Invoke();
        }
                
        private void panel1_Paint(object sender, PaintEventArgs e)
        {
           if(currentFlyPosition!=null) DrawFly(currentFlyPosition[0], currentFlyPosition[1]);
        }

        private void panel1_MouseClick(object sender, MouseEventArgs e)
        {
            Shoting(e.X, e.Y);
            
        }

        private void button2_Click(object sender, EventArgs e)
        {
            canvas.DrawImage(imgFly, 0, 0);
        }

        public void DrawFly(int x, int y)
        {
            if (currentFlyPosition == null)
                currentFlyPosition = new int[] { x, y };
            else
            {
                ClearFly(currentFlyPosition[0], currentFlyPosition[1]);
                currentFlyPosition[0] = x;
                currentFlyPosition[1] = y;
            }
            canvas.DrawImage(imgFly, x, y);
        }

        public void ClearFly(int x, int y)
        {
            Brush b = Brushes.White;
            canvas.FillRectangle(b, new Rectangle(x,y,imgFly.Height,imgFly.Width));
        }
    }
}
