﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GameExample.Model
{
    public class Housefly
    {
        public event Action ChangedPosition;
        System.Timers.Timer timer;
        public int[] Position { get; set; } = { 0, 0 };

        private int[] _space = new int[2];

        public int Height { get; set; } = 30;
        public int Width { get; set; } = 30;

        bool isFlying = false;
        public bool IsFlying {
            get { timer.Stop();return isFlying; }
            set {isFlying=value;timer.Start(); }
        }

        Random random = new Random();
        public Housefly(int[] space, int hight, int width)
        {
            
            _space[0] = space[0];
            _space[1] = space[1];
            Height = hight;
            Width = width;

            Position[0] = random.Next(0, space[0] - Height);
            Position[1] = random.Next(0, space[1] - Width);

            timer = new System.Timers.Timer(600);
            timer.Elapsed += Timer_Elapsed;
        }
        private void Flying()
        {
            Position[0] = random.Next(0, _space[0] - Height);
            Position[1] = random.Next(0, _space[1] - Width);

        }
        private void Timer_Elapsed(object sender, System.Timers.ElapsedEventArgs e)
        {
            Flying();
            ChangedPosition?.Invoke();
            //throw new NotImplementedException();
        }
    }
}
